org.eclipse.ease.ui.tools

## Class ToggleHandler

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.core.commands.AbstractHandler
    - - org.eclipse.ease.ui.tools.ToggleHandler

All Implemented Interfaces:
  IHandler, IHandler2, IElementUpdater

    public abstract class ToggleHandler
    extends AbstractHandler
    implements IElementUpdater

Use this handler for style="toggle" command contributions. You need to declare a state for your command to use ToggleHandler:

     <command id="somecommand" name="SomeCommand">
        <state class="org.eclipse.jface.commands.ToggleState" id="STYLE"/>
     </command>

The id="STYLE" was chosen because of IMenuStateIds.STYLE - maybe this will work without any Handler foo in later Eclipse versions. See http://www.ralfebert.de/eclipse/2009_01_21_togglehandler/ http://eclipsesource.com/blogs/2009/01/15/toggling-a-command-contribution/

### Constructor Summary

Constructors
Constructor and Description
`ToggleHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `execute(ExecutionEvent event)`
`void` `updateElement(UIElement element, Map parameters)` Update command element with toggle state

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, dispose, isEnabled, isHandled, removeHandlerListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ToggleHandler

    public ToggleHandler()

### Method Detail

#### execute

    public final Object execute(ExecutionEvent event)
                         throws ExecutionException

Specified by:
  `execute` in interface `IHandler`
Throws:
  `ExecutionException`

#### updateElement

    public void updateElement(UIElement element,
                              Map parameters)

Update command element with toggle state

Specified by:
  `updateElement` in interface `IElementUpdater`